import Vue from 'vue'
import App from './App'
import axios from 'axios'
import ConfirmBox from './components/confirmBox'

Vue.prototype.$confirm = ConfirmBox

// 拦截所有的异步请求
axios.interceptors.response.use(
  response => {
    return response
  },
  error => {
    // 如果返回码是 401 则表示有另外的同类型设备将该设备登录状态踢掉
    if (error.response.status === 401) {
      // store.dispatch('logout')
      // 调用一下注销接口，删掉 GCESS
      let img = new Image()
      img.src = `//account.geekbang.org/account/ticket/delete`
      ConfirmBox({
        title: '下线通知',
        content: '该账号已在其他同类设备登录，如非本人操作，则密码可能已经泄露，建议立即更换密码',
        btnOk: '确定',
        okCallback: () => {
          this.$router.push('/sigin')
        }
      })
    }
    return Promise.reject(error)
  }
)

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  render: h => h(App)
})
